#pragma once
#include <windows.h>
#include <windowsx.h>

#define IMPEX(ret) EXTERN_C _declspec(dllexport) ret WINAPI

IMPEX(INT) wineDrawTextW(HDC hdc, LPCWSTR str, INT count, LPRECT rect, UINT flags);
IMPEX(INT) wineDrawTextA(HDC hdc, LPCSTR  str, INT count, LPRECT rect, UINT flags);
IMPEX(INT) wineDrawTextExW(HDC hdc, WCHAR*str, int count, RECT*, UINT flags, DRAWTEXTPARAMS*);
IMPEX(INT) wineDrawTextExA(HDC hdc, char* str, int count, RECT*, UINT flags, DRAWTEXTPARAMS*);
IMPEX(LONG) wineTabbedTextOutW(HDC,int,int,const WCHAR*,int,int,const int*,int);
IMPEX(LONG) wineTabbedTextOutA(HDC,int,int,const char*, int,int,const int*,int);
IMPEX(DWORD) wineGetTabbedTextExtentW(HDC,const WCHAR*,int,int,const int*);
IMPEX(DWORD) wineGetTabbedTextExtentA(HDC,const char*, int,int,const int*);
#undef IMPEX

#ifdef UNICODE
# define wineDrawText wineDrawTextW
# define wineDrawTextEx wineDrawTextExW
# define wineTabbedTextOut wineTabbedTextOutW
# define wineGetTabbedTextExtent wineGetTabbedTextExtentW
#else
# define wineDrawText wineDrawTextA
# define wineDrawTextEx wineDrawTextExA
# define wineTabbedTextOut wineTabbedTextOutA
# define wineGetTabbedTextExtent wineGetTabbedTextExtentA
#endif
